## bluez 5.55

=== debian/changelog ===
bluez (5.55-3.1.0antix2) unstable; urgency=medium

  * include /usr/share/dbus-1/services/org.bluez.obex.service file

 -- anticapitalista <antix@operamail.com>  Tue, 22 Feb 2022 11:57:30 +0200

bluez (5.55-3.1.0antix1) unstable; urgency=medium

  * add runit service
  * post/pre scripts to include runit and sysVinit

 -- anticapitalista <antix@operamail.com>  Tue, 07 Dec 2021 22:02:28 +0200

bluez (5.55-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * main: Don't warn for unset config option (Closes: #989495)
  * shared/gatt-server: Fix not properly checking for secure flags
    (CVE-2020-26558, CVE-2021-0129) (Closes: #989614)
  * gatt: Fix potential buffer out-of-bound (CVE-2021-3588) (Closes: #989700)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Jun 2021 21:34:56 +0200

bluez (5.55-3) unstable; urgency=medium

  * Add d/salsa-ci.yml.
  * Update d/control.
    * Add Rules-Requires-Root: no

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 02 Jan 2021 15:57:41 +0900

bluez (5.55-2) unstable; urgency=medium

  * Update d/control.
    * Use debhelper-compat instead of debhelper, and update to 13.
    * Bump Standards-Version to 4.5.1 (no change).
    * Add libell-dev to B-D.
    * Add dbus-user-session to bluez-obexd's Recommends.
    * Add libjson-c-dev to B-D.
    * Use libdbus-1-dev instead of libdbus-glib-1-dev. (Closes: #955823)
  * Update d/rules.
    * Drop unnecessary autoreconf option for dh.
    * Add --exclude=.la to option of dh.
    * Add --enable-external-ell.
    * Enable mesh support, add bluez-meshd package. (Closes: #973579)
    * Fix contains bluez-source-tmp directory. (Closes: #970130)
      Thanks to Chris Lamb and Vagrant Cascadian.
  * Update d/gbp.conf
    Change debian-branch to debian/sid.
  * Update d/patches/allow-using-obexd-without-systemd-in-the-user-sessio.patch
    Fix path of obexd. (Closes: #972070, #971533)
  * Remove d/compat.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 21 Dec 2020 08:08:53 +0900

bluez (5.55-1) unstable; urgency=medium

  * Update to 5.55.
  * Remove patches applied in upstream.
    - input-hog-Attempt-to-set-security-level-if-not-bonde.patch
    - input-Add-LEAutoSecurity-setting-to-input.conf.patch
  * Add --enable-hid2hci to configure's option.
    Add --enable-hid2hci option to explicitly enable the hid2hci tool.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 16 Sep 2020 16:49:56 +0900
