=== debian/control ===
Source: bluez
Section: admin
Priority: optional
Maintainer: Ubuntu Bluetooth team <ubuntu-bluetooth@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9.20160709),
	autotools-dev,
	dh-autoreconf,
	flex,
	bison,
	libdbus-glib-1-dev,
	libglib2.0-dev (>= 2.28),
	libcap-ng-dev,
	udev,
	libudev-dev,
	libreadline-dev,
	libical-dev,
	check (>= 0.9.8-1.1),
	systemd,
	libebook1.2-dev (>= 3.12)
Vcs-Git: https://git.launchpad.net/~bluetooth/bluez
Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez
Homepage: http://www.bluez.org
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest

Package: libbluetooth3
Section: libs
Conflicts: libsdp2 (<= 1.5-2)
Replaces: libsdp2 (<= 1.5-2)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Architecture: linux-any
Description: Library to use the BlueZ Linux Bluetooth stack
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: libbluetooth3-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, libbluetooth3 (= ${binary:Version})
Description: Library to use the BlueZ Linux Bluetooth stack with debugging symbols
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: libbluetooth-dev
Section: libdevel
Provides: libbluetooth3-dev
Conflicts: libbluetooth-dev, libsdp2-dev (<= 1.5.2), bluez-pan
Replaces: libsdp2-dev (<= 1.5.2)
Depends: libbluetooth3 (= ${binary:Version}),
	libc6-dev | libc-dev, ${misc:Depends}
Suggests: pkg-config
Priority: extra
Architecture: linux-any
Description: Development files for using the BlueZ Linux Bluetooth library
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluetooth
Architecture: all
Depends: ${misc:Depends}, bluez
Suggests: bluez-cups, bluez-obexd
Description: Bluetooth support
 This package provides all of the different plugins supported
 by the Bluez bluetooth stack.

Package: bluez
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends},
	kmod, udev (>= 170-1), lsb-base, dbus
Replaces: bluez-input, bluez-network, bluez-serial, bluez-utils (<= 3.36-3),
	bluez-audio (<= 3.36-3), udev (<< 170-1), bluez-alsa
Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3), bluez-alsa
Breaks: udev (<< 170-1)
Multi-Arch: foreign
Description: Bluetooth tools and daemons
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, bluez (= ${binary:Version}),
	libbluetooth3-dbg (= ${binary:Version})
Description: Bluetooth tools and daemons (with debugging symbols)
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: bluez-cups
Architecture: linux-any
Depends: ${shlibs:Depends}, cups, ${misc:Depends}
Description: Bluetooth printer driver for CUPS
 This package contains a driver to let CUPS print to Bluetooth-connected
 printers.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-obexd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: obexd-server, obexd-client
Conflicts: obexd-server, obexd-client
Description: bluez obex daemon
 This package contains a OBEX(OBject EXchange) daemon.
 .
 OBEX is communication protocol to facilitate the exchange of the binary
 object between the devices.
 .
 This was the software that is independent as obexd, but this has been
 integrated into BlueZ from BlueZ 5.0.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-hcidump
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Analyses Bluetooth HCI packets
 The hcidump utility allows the monitoring of Bluetooth activity.
 It provides a disassembly of the Bluetooth traffic and can display
 packets from higher level protocols such as RFCOMM, SDP and BNEP.
 .
 This was the software that is independent as bluez-hcidump, but this has been
 integrated into BlueZ from BlueZ 5.0.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-tests
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: bluez-test-scripts
Conflicts: bluez-test-scripts
Provides: bluez-test-scripts
Description: BlueZ test tools and scripts
 This package contains test tools and scripts used for testing BlueZ.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
