## bluez 5.62

=== debian/changelog ===
bluez (5.62-1.0antix1) unstable; urgency=medium

  * add runit service
  * post/pre scripts to include runit and sysVinit

 -- anticapitalista <antix@operamail.com>  Sun, 19 Dec 2021 14:29:40 +0200

bluez (5.62-1) unstable; urgency=medium

  * Update to 5.62. (Closes: #1000262, #998626)
    Fixed CVE-2021-43400 and CVE-2021-41229.
  * Reduce Build-Depends: (Closes: #980896)
    + Annotate check with <!nocheck>.
    + libcap-ng-dev is no longer used. We no longer pass --enable-capng.
    + Thanks to Helmut Grohne <helmut@subdivi.de>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Dec 2021 09:23:03 +0900

bluez (5.61-1) unstable; urgency=medium

  * Update to 5.61.
  * Update d/copyright.
  * Add manpages create by help2man.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Aug 2021 17:33:39 +0900

bluez (5.60-1~exp0) experimental; urgency=medium

  * Update to 5.60.
  * Update d/patches
    * Drop d/patches/build-Create-directory-for-ell-useful.h.patch.
    * Add Change-shebang-from-usr-bin-python-to-usr-bin-python.patch.
  * Update manpages.
  * Update d/bluez-meshd.install.
    * Add usr/bin/mesh-cfgtest.
  * Update d/watch.
    * use https.
    * pdate to v4.
  * Update d/control.
    * Add python3-docutils to B-D.
  * Delete d/source.lintian-overrides.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 28 Jul 2021 09:40:02 +0900

bluez (5.58-1~exp0) experimental; urgency=medium

  * Update to 5.58.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 May 2021 18:25:31 +0900
