## bluez 5.65

=== debian/changelog ===
bluez (5.65-1.0antix1) unstable; urgency=medium

  * add runit service
  * post/pre scripts to include runit and sysVinit  

 -- anticapitalista <antix@operamail.com>  Thu, 04 Aug 2022 20:33:33 +0300

bluez (5.65-1) unstable; urgency=medium

  * Update to 5.65.
  * Update d/rules
    - Add optimize=+lto.
  * Refresh d/patches/main.conf.patch.
  * Add isotest to bluez-test-tools.
  * Update d/libbluetooth3.symbols (Closes: #1015361)
  * Add d/upstream/metadata
  * Update d/control
    - Bumped Standards-Version to 4.6.1

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Aug 2022 10:57:23 +0900

bluez (5.64-2) unstable; urgency=medium

  * Create /var/lib/bluetooth (Closes: #1009987)
    Add d/bluez.prerm d/bluez.preinst.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 22 Apr 2022 21:18:22 +0900

bluez (5.64-1) unstable; urgency=medium

  * Update to 5.64.
    Fixed CVE-2022-0204 (Closes: #1003712)
  * Update d/control.
    + bluez; depend on default-dbus-system-bus | dbus-system-bus | dbus.
  * Drop d/patches/sdpd-Fix-leaking-buffers-stored-in-cstates-cache.patch.
  * Update d/copyright
    + Drop nonexistent files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Apr 2022 06:35:07 +0900

bluez (5.62-2) unstable; urgency=medium

  * Add debian/patches/sdpd-Fix-leaking-buffers-stored-in-cstates-cache.patch
    to fix CVE-2021-41229. (Closes: #1000262)
    Thanks for pointing out the mistake, Salvatore.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 Dec 2021 08:29:34 +0900
