=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-docutils,
                udev,
                check
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
 Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git
