## bluez 5.66

=== debian/changelog ===
bluez (5.66-1+deb12u2) bookworm; urgency=medium

  * CVE-2023-27349
  * CVE-2023-50229 / CVE-2023-50230

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 12 Jun 2024 23:13:32 +0200

bluez (5.66-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * input.conf: Change default of ClassicBondedOnly (CVE-2023-45866)
    (Closes: #1057914)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Dec 2023 17:57:24 +0100

bluez (5.66-1) unstable; urgency=medium

  * Update to 5.66.
  * Refresh d/patches/Fix-typo.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 17 Nov 2022 03:44:23 +0900
