=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                libjson-c-dev (>= 0.13),
                python3-docutils,
                udev,
-               check
+               check <!nocheck>,
+               systemd
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
@@ -76,10 +77,10 @@
          kmod,
          udev,
          lsb-base,
-         dbus
+         default-dbus-system-bus | dbus-system-bus
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: pulseaudio-module-bluetooth
-Breaks: udev (<< 170-1), runit-services-full-antix (<= 0.1.7)
+Breaks: udev (<< 170-1)
 Conflicts: bluez-utils (<= 3.36-3),
            bluez-audio (<= 3.36-3)
 Replaces: bluez-input,
@@ -87,8 +88,7 @@
           bluez-serial,
           bluez-utils (<= 3.36-3),
           bluez-audio (<= 3.36-3),
-          udev (<< 170-1),
-          runit-services-full-antix (<= 0.1.7)
+          udev (<< 170-1)
 Description: Bluetooth tools and daemons
  This package contains tools and system daemons for using Bluetooth devices.
  .
