=== debian/watch ===
version=4
https://www.kernel.org/pub/linux/bluetooth/ .*bluez-([.\d]+)\.tar\.xz
